View Issue Details

IDProjectCategoryView StatusLast Update
0001246SOGoWeb Calendarpublic2011-04-14 21:09
Reporterpiethein Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.6 
Fixed in Version1.3.7 
Summary0001246: Not all e-mail addresses can be entered/edited/deleted in the web-addressbook
Description

The first thing I have noticed is that The interface does not accept mail
addresses that start with a '_'. An error message pops up: 'The specified email is invalid'

An address starting with '_' can be synced into SOGo using
Funambol, but i cannot remove or edit it in the web-interface.

Possibly other characters that would be legal for e-mail addresses cause the same problem, I have not tested for this.

TagsNo tags attached.

Activities

2011-04-11 16:44

 

Tester For Dashes.vcf (464 bytes)   
BEGIN:VCARD
VERSION:3.0
N:For Dashes;Tester;;;
FN:Tester For Dashes
EMAIL;type=INTERNET;type=WORK;type=pref:_test_@test.lan
EMAIL;type=INTERNET;type=HOME:test@test.lan
TEL;type=WORK;type=pref:0123123
TEL;type=CELL:0321321
item1.ADR;type=WORK;type=pref:;;Test 4;AB;;1234;LanLand
item1.X-ABADR:nl
item2.ADR;type=HOME:;;Test 8;AB;;1234;LanLand
item2.X-ABADR:nl
CATEGORIES:untitled group
X-ABUID:620E03C9-4E77-4DEF-9A99-9DD17F428D24\:ABPerson
END:VCARD
Tester For Dashes.vcf (464 bytes)   
piethein

piethein

2011-04-11 16:45

reporter   ~0002371

I have created a file to illustrate the problem. The contact's information can be imported but not edited in the web-interface.

francis

francis

2011-04-14 21:09

administrator   ~0002386

Fixed in revision e58e01ba23d307338c0721fcb30c8c45fb1a15f4.

Issue History

Date Modified Username Field Change
2011-04-09 04:16 piethein New Issue
2011-04-11 16:44 piethein File Added: Tester For Dashes.vcf
2011-04-11 16:45 piethein Note Added: 0002371
2011-04-14 21:09 francis Note Added: 0002386
2011-04-14 21:09 francis Status new => resolved
2011-04-14 21:09 francis Fixed in Version => 1.3.7
2011-04-14 21:09 francis Resolution open => fixed
2011-04-14 21:09 francis Assigned To => francis